class Dps8m < Formula
  desc "Simulator of the 36‑bit GE/Honeywell/Bull 600/6000‑series mainframe computers"
  homepage "https://dps8m.gitlab.io/"
  url "https://dps8m.gitlab.io/dps8m-r3.0.1-archive/R3.0.1/dps8m-r3.0.1-src.tar.gz"
  sha256 "4c7daf668021204b83dde43504396d80ddc36259fd80f3b9f810d6db83b29b28"
  license "ICU"
  head "https://gitlab.com/dps8m/dps8m.git", branch: "master"

  livecheck do
    url "https://dps8m.gitlab.io/dps8m/Releases/"
    regex(/href=.*?dps8m[._-]r?(\d+(?:\.\d+)+)[._-]src\.t/i)
  end

  depends_on "libuv"

  uses_from_macos "expect" => :test

  def install
    # Reported 23 Jul 2017 "make doesn't create bin directory"
    # See https://sourceforge.net/p/dps8m/mailman/message/35960505/
    bin.mkpath

    system "make"
    bin.install %w[src/dps8/dps8 src/punutil/punutil src/prt2pdf/prt2pdf]
  end

  test do
    (testpath/"test.exp").write <<~EOS
      spawn #{bin}/dps8 -t
      set timeout 30
      expect {
        timeout { exit 1 }
        ">"
      }
      set timeout 10
      send "SH VE\r"
      expect {
        timeout { exit 2 }
        "Version:"
      }
      send "q\r"
      expect {
        timeout { exit 3 }
        eof
      }
    EOS
    system("expect", "-f", "test.exp")
  end
end
