<!-- vim: set ft=markdown ts=2 sw=2 ai cc=80 et spell nolist wrap lbr :-->
<!-- SPDX-License-Identifier: FSFAP -->
<!-- scspell-id: 8a9a2eb6-1758-11ee-8174-80ee73e9b8e7 -->
<!-- NOTE: The FSF All Permissive License (FSFAP) is NOT applicable to
           the text of other licenses reproduced within this document. -->
<!-- NOTE: Licenses in this file are UTF-8 text within fenced code blocks. -->
<!-- Copyright (c) 2006-2023 The DPS8M Development Team
     Copying and distribution of this file, with or without modification,
     are permitted in any medium without royalty provided the copyright
     notice and this notice are preserved.  This file is offered "AS-IS",
     without any warranty. -->

# License Information

&nbsp;[![REUSE Compliance](https://img.shields.io/reuse/compliance/GitLab.com/dps8m/dps8m.svg)](https://api.reuse.software/info/GitLab.com/dps8m/dps8m)

<!-- toc -->

- [**DPS8M Simulator**](#dps8m-simulator)
  * [ICU License](#icu-license)
  * [FSF All Permissive License](#fsf-all-permissive-license)
  * [Multics License](#multics-license)
- [Third-party Software](#third-party-software)

<!-- tocstop -->

## DPS8M Simulator

### ICU License

&nbsp;[![ICU License](https://img.shields.io/badge/license-ICU-passing.svg)](#icu-license)

* The **DPS8M Simulator** (“**DPS8M**”) is distributed under the
  **ICU License**, version 1.8.1 or later.

```
ICU License — ICU 1.8.1 to ICU 57.1

COPYRIGHT AND PERMISSION NOTICE

Copyright © 2006-2023 Michael Mondy, Harry Reed, Charles Anthony, and others
Copyright © 2012 Dave Jordan
Copyright © 2015-2016 Craig Ruff
Copyright © 2015-2023 Eric Swenson
Copyright © 2016 Jean-Michel Merliot
Copyright © 2017-2023 Jeffrey H. Johnson
Copyright © 2018-2021 Juergen Weiss
Copyright © 2021 Dean S. Anderson
Copyright © 2023 Björn Victor <bjorn@victor.se>
Copyright © 2021-2023 The DPS8M Development Team

All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the “Software”), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, and/or sell copies of the
Software, and to permit persons to whom the Software is furnished to do so,
provided that the above copyright notice(s) and this permission notice appear
in all copies of the Software and that both the above copyright notice(s) and
this permission notice appear in supporting documentation.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE
BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,
OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Except as contained in this notice, the name of a copyright holder shall not
be used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization of the copyright holder.

All trademarks and registered trademarks mentioned herein are the property
of their respective owners.
```

### FSF All Permissive License

&nbsp;[![FSFAP License](https://img.shields.io/badge/license-FSFAP-passing.svg)](#fsf-all-permissive-license)

* The **DPS8M Simulator** (“**DPS8M**”) distribution includes various
  build, configuration, and miscellaneous files.
* These supporting files are distributed under the terms of the
  **FSF All Permissive License**.

```
Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice and this
notice are preserved.  This file is offered "AS-IS", without any warranty.
```

### Multics License

&nbsp;[![Multics License](https://img.shields.io/badge/license-Multics-passing.svg)](#multics-license)

* The **DPS8M Simulator** (“**DPS8M**”) **source code** may contain **code
  comments** that adapt, include, and/or incorporate Multics program code
  and/or documentation distributed under the **Multics License**.
* In the event of any discrepancy between the source code comments and the
  original Multics materials, the original Multics materials should be
  considered authoritative unless otherwise noted.
* The **Multics License** covers **only** the simulator's source code
  comments, and **is not** applicable to compiled object code or binary
  distributions of the simulator.

```
Multics License

Copyright © 1972 The Massachusetts Institute of Technology
Copyright © 1972 Honeywell Information Systems, Inc.
Copyright © 2006 Bull HN Information Systems, Inc.
Copyright © 2006 Bull SAS

All rights reserved.

 * This edition of the Multics software materials and documentation is
   provided and donated to The Massachusetts Institute of Technology by
   Group BULL including BULL HN Information Systems, Inc. as a contribution
   to computer science knowledge.

 * This donation is made also to give evidence of the common contributions
   of The Massachusetts Institute of Technology, Bell Laboratories, General
   Electric, Honeywell Information Systems, Inc., Honeywell BULL, Inc.,
   Groupe BULL and BULL HN Information Systems, Inc. to the development of
   this operating system.

 * Multics development was initiated by The Massachusetts Institute of
   Technology Project MAC (1963-1970), renamed the MIT Laboratory for
   Computer Science and Artificial Intelligence in the mid 1970s, under
   the leadership of Professor Fernando José Corbató. Users consider that
   Multics provided the best software architecture for managing computer
   hardware properly and for executing programs. Many subsequent operating
   systems incorporated Multics principles.

 * Multics was distributed in 1975 to 2000 by Group Bull in Europe, and in
   the U.S. by Bull HN Information Systems, Inc., as successor in interest
   by change in name only to Honeywell Bull, Inc. and Honeywell Information
   Systems, Inc.

Permission to use, copy, modify, and distribute these programs and their
documentation for any purpose and without fee is hereby granted, provided
that this copyright notice and the above historical background appear in all
copies and that both the copyright notice and historical background and this
permission notice appear in supporting documentation, and that the names of
MIT, HIS, BULL, or BULL HN not be used in advertising or publicity pertaining
to distribution of the programs without specific prior written permission.
```

## Third-party Software

&nbsp;[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgitlab.com%2Fdps8m%2Fdps8m.svg?type=shield)](https://app.fossa.com/projects/git%2Bgitlab.com%2Fdps8m%2Fdps8m?ref=badge_shield)

* **DPS8M** may incorporate, adapt, or utilize software from third-parties.
* Third-party software is copyrighted by their respective owners and may be
  made available under different license terms.
* See the
  [**Third-party Software** section](https://dps8m.gitlab.io/dps8m/dps8m-omnibus.pdf#third-party-software)
  in the
  [**Legal** chapter](https://dps8m.gitlab.io/dps8m/dps8m-omnibus.pdf#legal)
  of the
  [**DPS8M Omnibus Documentation**](https://dps8m.gitlab.io/dps8m/dps8m-omnibus.pdf)
  for authoritative information.
